package de.jottyfan.bico.modules.item.model;

import java.io.Serializable;
import java.time.LocalDate;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author jotty
 *
 */
public class ItemBean implements Serializable {
	private static final long serialVersionUID = 1L;

	private Integer pkSlot;
	private LocalDate slotDay;
	private String slotNote;
	private List<LessonBean> lessons;

	public ItemBean() {
		lessons = new ArrayList<>();
	}

	/**
	 * @return the pkSlot
	 */
	public Integer getPkSlot() {
		return pkSlot;
	}

	/**
	 * @param pkSlot the pkSlot to set
	 */
	public void setPkSlot(Integer pkSlot) {
		this.pkSlot = pkSlot;
	}

	/**
	 * @return the slotDay
	 */
	public LocalDate getSlotDay() {
		return slotDay;
	}

	/**
	 * @param slotDay the slotDay to set
	 */
	public void setSlotDay(LocalDate slotDay) {
		this.slotDay = slotDay;
	}

	/**
	 * @return the slotNote
	 */
	public String getSlotNote() {
		return slotNote;
	}

	/**
	 * @param slotNote the slotNote to set
	 */
	public void setSlotNote(String slotNote) {
		this.slotNote = slotNote;
	}

	/**
	 * @return the lessons
	 */
	public List<LessonBean> getLessons() {
		return lessons;
	}
}
